Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 770244 - sys-apps/systemd-247.2-r4 stable request
Summary: sys-apps/systemd-247.2-r4 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo systemd Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 771819
Blocks:
  Show dependency tree
 
Reported: 2021-02-12 18:01 UTC by Mike Gilbert
Modified: 2021-04-12 16:18 UTC (History)
0 users

See Also:
Package list:
sys-apps/systemd-247.2-r4 amd64 arm arm64 ppc ppc64 sparc x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2021-02-12 18:01:22 UTC
Thanks.
Comment 1 NATTkA bot gentoo-dev 2021-02-12 18:04:50 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-02-12 18:12:57 UTC
All sanity-check issues have been resolved
Comment 3 Thomas Deutschmann gentoo-dev Security 2021-02-19 01:51:51 UTC
x86 stable
Comment 4 Thomas Deutschmann gentoo-dev Security 2021-02-25 02:38:31 UTC
amd64 stable
Comment 5 Andrew Sporaw 2021-03-07 10:18:53 UTC
Hello. Do you really sure in sys-apps/systemd-247 stabilization?
This systemd package version try to use some mount options which unavailable in current gentoo-sources-5.4.97 (cgroup2 memory_recursiveprot option and hidepid for procfs which became available in 5.7 and 5.8 kernels respectively).
https://github.com/systemd/systemd/issues/16896
Comment 6 Mike Gilbert gentoo-dev 2021-03-07 13:22:37 UTC
(In reply to Andrew Sporaw from comment #5)

The mount error may be safely ignored.
Comment 7 Sam James archtester gentoo-dev Security 2021-03-15 00:48:08 UTC
arm64 done
Comment 8 ernsteiswuerfel 2021-04-07 17:26:08 UTC
ppc fails some tests (bug #780876) but the rest looks good.

rdeps open-iscsi (bug #780873) and cmus (bug #639678) fail to build.

 # cat systemd-770244.report 
USE tests started on Di 6. Apr 16:58:51 CEST 2021

 FEATURES=' test' failed for =sys-apps/systemd-247.2-r4
USE='-acl audit -build cgroup-hybrid cryptsetup curl dns-over-tls elfutils gcrypt homed -http -hwdb idn -importd -kmod -lz4 lzma -nat pam -pcre -pkcs11 -policykit -pwquality -qrcode repart -resolvconf -seccomp -static-libs -sysv-utils -vanilla -xkb -zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='acl audit -build cgroup-hybrid -cryptsetup -curl dns-over-tls -elfutils -gcrypt -homed -http hwdb idn -importd -kmod -lz4 -lzma nat -pam pcre pkcs11 -policykit -pwquality qrcode -repart -resolvconf -seccomp -static-libs -sysv-utils vanilla -xkb -zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='acl audit build cgroup-hybrid -cryptsetup curl -dns-over-tls elfutils gcrypt -homed http -hwdb idn importd -kmod -lz4 lzma nat pam pcre -pkcs11 policykit -pwquality -qrcode repart resolvconf -seccomp static-libs -sysv-utils vanilla -xkb -zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='-acl audit -build -cgroup-hybrid cryptsetup curl dns-over-tls elfutils -gcrypt homed http -hwdb idn -importd -kmod -lz4 lzma -nat pam pcre pkcs11 policykit -pwquality qrcode -repart -resolvconf -seccomp -static-libs sysv-utils -vanilla xkb -zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='acl -audit -build cgroup-hybrid cryptsetup -curl -dns-over-tls elfutils gcrypt -homed http -hwdb idn -importd -kmod -lz4 lzma nat pam -pcre -pkcs11 -policykit -pwquality qrcode repart -resolvconf -seccomp static-libs sysv-utils vanilla xkb -zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='-acl -audit -build cgroup-hybrid cryptsetup -curl dns-over-tls elfutils -gcrypt homed -http -hwdb idn -importd -kmod lz4 -lzma -nat pam pcre pkcs11 -policykit pwquality -qrcode repart resolvconf seccomp static-libs -sysv-utils -vanilla -xkb zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='-acl audit build -cgroup-hybrid cryptsetup curl -dns-over-tls elfutils gcrypt homed http hwdb idn -importd kmod lz4 lzma -nat pam -pcre pkcs11 policykit -pwquality -qrcode repart resolvconf seccomp -static-libs sysv-utils -vanilla -xkb zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='-acl audit build cgroup-hybrid cryptsetup -curl -dns-over-tls elfutils gcrypt homed http -hwdb idn -importd -kmod -lz4 -lzma nat pam pcre -pkcs11 -policykit -pwquality -qrcode repart resolvconf -seccomp static-libs sysv-utils -vanilla xkb zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='-acl -audit -build -cgroup-hybrid cryptsetup curl -dns-over-tls elfutils gcrypt homed http -hwdb -idn importd -kmod -lz4 lzma -nat pam -pcre pkcs11 -policykit -pwquality qrcode -repart -resolvconf seccomp -static-libs -sysv-utils vanilla xkb zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='acl -audit -build cgroup-hybrid -cryptsetup curl dns-over-tls elfutils gcrypt -homed -http hwdb -idn -importd -kmod -lz4 lzma nat pam pcre pkcs11 -policykit -pwquality -qrcode repart resolvconf seccomp static-libs sysv-utils vanilla xkb zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='-acl -audit -build cgroup-hybrid -cryptsetup curl -dns-over-tls -elfutils -gcrypt -homed http -hwdb idn -importd kmod lz4 -lzma -nat pam pcre -pkcs11 -policykit -pwquality -qrcode repart resolvconf seccomp static-libs sysv-utils vanilla -xkb -zstd' succeeded for =sys-apps/systemd-247.2-r4
USE='acl -audit build -cgroup-hybrid cryptsetup -curl -dns-over-tls -elfutils -gcrypt -homed http hwdb idn -importd -kmod -lz4 lzma -nat pam pcre pkcs11 -policykit -pwquality qrcode repart -resolvconf -seccomp -static-libs -sysv-utils -vanilla -xkb zstd' succeeded for =sys-apps/systemd-247.2-r4

revdep tests started on Mi 7. Apr 16:01:09 CEST 2021

FEATURES=' test' USE='systemd' succeeded for sys-fs/udisks
FEATURES=' test' USE='-build systemd' succeeded for sys-apps/util-linux
FEATURES=' test' USE='systemd' succeeded for gnome-base/gvfs
USE='systemd' FEATURES=' test' failed for sys-block/open-iscsi
FEATURES=' test' USE='systemd' succeeded for net-misc/freerdp
FEATURES=' test' USE='fpm systemd' succeeded for dev-lang/php
USE='systemd' FEATURES=' test' failed for media-sound/cmus
FEATURES=' test' USE='systemd' succeeded for net-vpn/strongswan
FEATURES=' test' USE='' succeeded for sys-block/zram-init
FEATURES=' test' USE='systemd' succeeded for x11-base/xorg-server
Comment 9 Sam James archtester gentoo-dev Security 2021-04-12 16:06:08 UTC
ppc done
Comment 10 Sam James archtester gentoo-dev Security 2021-04-12 16:14:08 UTC
ppc64 done
Comment 11 Sam James archtester gentoo-dev Security 2021-04-12 16:14:25 UTC
sparc done
Comment 12 Sam James archtester gentoo-dev Security 2021-04-12 16:15:06 UTC
(In reply to ernsteiswuerfel from comment #8)
> ppc fails some tests (bug #780876) but the rest looks good.
> 

Thank you as ever.
Comment 13 Sam James archtester gentoo-dev Security 2021-04-12 16:18:11 UTC
arm done

all arches done